Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454907 - the system.listBaseChannels method doesn't
Summary: the system.listBaseChannels method doesn't
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: rhn505
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Sebastian Skracic
QA Contact: Stephen Herr
URL:
Whiteboard: us=34863
Depends On:
Blocks: 457802
TreeView+ depends on / blocked
 
Reported: 2008-07-10 18:00 UTC by Stephen Herr
Modified: 2008-09-25 13:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-25 13:04:02 UTC


Attachments (Terms of Use)
test for api method (deleted)
2008-07-10 18:00 UTC, Stephen Herr
no flags Details

Description Stephen Herr 2008-07-10 18:00:22 UTC
Description of problem:
The system.listBaseChannels api method is supposed to "Return a list of
subscribable base channels." What it actually returns is apparently a list of:
1) the current base channel
2) custom channels that you can subscribe to as the base channel
It should return all subscribable base channels so you can set a new one with
the setBaseChannel method. 

Version-Release number of selected component (if applicable):
5.0.6

How reproducible:
Always

Steps to Reproduce:
1. set base channel for server (in this example auto_test_2, 1012737455) to a
Red Hat channel, for example RHEL 4 AS
2. run attached script against server 
3. change base channel to a custom channel, for example GRGRHEL5Parent
4. run attached script again
  
Actual results:
The first time it will list RHEL 4 AS and GRGRHEL5Parent.
The second time it will only list GRGRHEL5Parent

Expected results:
Both times it should list all available base channels; the same as what you see
in the drop-down.

Additional info:

Comment 1 Stephen Herr 2008-07-10 18:00:22 UTC
Created attachment 311500 [details]
test for api method

Comment 2 Sebastian Skracic 2008-08-25 11:56:03 UTC
Fixed in r118963 - the content is now identical to the one displayed in the pulldown widget on SystemChannels.do page.

Comment 3 Stephen Herr 2008-08-26 17:06:05 UTC
verified in dev

Comment 4 Stephen Herr 2008-09-03 20:11:39 UTC
verified in qa


Note You need to log in before you can comment on or make changes to this bug.